package com.demo.dao.bak;

import com.demo.entity.po.bak.UpdateInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;


@Repository
public class UpdateInfoDao {
    @Autowired
    private MongoTemplate mongoTemplate;

    public UpdateInfo findEnable(){
        Query query = Query.query(Criteria.where("status").is(true));

        UpdateInfo updateInfo = mongoTemplate.findOne(query, UpdateInfo.class);
        return updateInfo;
    }


}
